Possible qt libraries missing? SMPLayer/ VLC

Kernels & Hardware, configuring network, installing services

Possible qt libraries missing? SMPLayer/ VLC

Postby tpprynn » 2017-12-04 12:16

I'm using Xfce Debian 64 bit, both 9.2 and Testing. Both SMPlayer and VLC don't pick up the gtk and font data - the fonts have 'full' antialiasing instead of 'slight' and the theme is I think called Fusion, rather than the Adwaita theme I otherwise have. I've ignored this mostly but it doesn't happen with Xubuntu or Fedora Xfce, where the regular gtk theme is present as an option in the settings menus (of VLC and SMPLayer) - maybe there's a simple enough fix?

This is otherwise the most settled I've been with a distribution since beginning in 2008, so having cleared the desk of other issues I wouldn't mind tidying up this last one.

Thanks.
tpprynn
 
Posts: 87
Joined: 2011-04-11 18:09

Re: Possible qt libraries missing? SMPLayer/ VLC

Postby debiman » 2017-12-05 06:26

qt requires an extra package to be installed to emulate gtk themes, and a setting to enable this.
these packages and the guis to change things have to be installed separately for qt4 and/or qt5.
sorry i cannot provide the package names; do a little searching, i'm sure it's easy enough to find.
while the package names are, the issue itself is not debian specific.
User avatar
debiman
 
Posts: 1626
Joined: 2013-03-12 07:18

Re: Possible qt libraries missing? SMPLayer/ VLC

Postby stevepusser » 2017-12-05 19:56

In Stretch, you need the qt5-style-plugins package. This does not apply to earlier Debian versions.

There is also a program not currently in Debian, but which can be installed from third-party repos, called qt5ct, which allows more fine-grained configuration of Qt 5. See the Debian wiki, and if that fails, try the Arch wiki.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Possible qt libraries missing? SMPLayer/ VLC

Postby tpprynn » 2017-12-08 17:39

I thought the information the thread led to seemed promising but, after installing and setting the necessary stuff, though the gtk theme option is now present in VLC and SMPlayer, SMPlayer crashes after the selection is applied and VLC crashes as soon as the theme is chosen, without clicking Apply. This is the output from starting VLC in the terminal:

"vlc
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
[00005560e55e1148] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Could not resolve property : linearGradient4837
Could not resolve property : linearGradient4837
Could not resolve property : linearGradient4837

(vlc:4421): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(vlc:4421): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(vlc:4421): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(vlc:4421): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(vlc:4421): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(vlc:4421): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(vlc:4421): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(vlc:4421): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplay'

(vlc:4421): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(vlc:4421): GLib-GObject-CRITICAL **: g_type_register_static: assertion 'parent_type > 0' failed

(vlc:4421): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(vlc:4421): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
Segmentation fault"

I can settle for the wonky looking theme if need be, seeing as these two programs are the most capable video players in Linux, but if this output gives any clues I'll carry on. This little issue wasn't present a couple of editions ago. (I see some have found it also happens in Xubuntu, which I personally didn't find.)

Thanks.
tpprynn
 
Posts: 87
Joined: 2011-04-11 18:09

Re: Possible qt libraries missing? SMPLayer/ VLC

Postby stevepusser » 2017-12-08 19:19

Well, I remember we encountered and solved the Qt theme issues with the upcoming Stretch-based MX 17 xfce desktop, so it should apply to straight Debian...unfortunately those threads in the MX forums are only visible to the developers. You can download and run the beta or upcoming release candidate to see it as a proof of concept. We have it set up so that all Qt 4 and 5 applications just automatically use the GTK themes, you don't have to change the theme in each application's settings--change the themes in the xfce settings, and all the apps use the new themes. This is really necessary because many of our default apps are Qt--we aren't religiously bound to use only gtk or xfce programs.

The styles plugins package was part of it, and we also have an /etc/X11/Xsession.d/98qtconfig with these contents for Qt 5:

Code: Select all
export QT_QPA_PLATFORMTHEME=gtk2
export QT_PLATFORMTHEME=gtk2
export QT_PLATFORM_PLUGIN=gtk2


Qt 4 applications require an entry in the ~/.config/TrollTech.conf file as explained in in the Arch wiki.

Code: Select all
...
[Qt]
style=GTK+
...


Polishing like this is where derivative distros do better than Debian...
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Possible qt libraries missing? SMPLayer/ VLC

Postby tpprynn » 2017-12-08 20:09

Thanks, that seems to have worked with the 98qtconfig file used. The theme looks slightly different (menus have a more 3d-lookig shadow around them and the blue line isn't in the highlighted bit of the menubar as it is with straight gtk3) and the 'slight' antialiasing fonts aren't present but unless you can add anything there I think that'll do for me. Well, I have a slight itch about it but...

I will have a look at MX17 too thanks.
tpprynn
 
Posts: 87
Joined: 2011-04-11 18:09


Return to System configuration

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable